# Uses of Interface
com.usatiuk.objects.JData

Packages that use JData
Package
Description
com.usatiuk.dhfs.autosync
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.dhfs.jmap
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peertrust
com.usatiuk.dhfs.refcount
com.usatiuk.dhfs.remoteobj
com.usatiuk.dhfsfs.objects
com.usatiuk.objects
com.usatiuk.objects.transaction

## Uses of JData in com.usatiuk.dhfs.autosync

Methods in com.usatiuk.dhfs.autosync with parameters of type JData
Modifier and Type
Method
Description
`void`
AutosyncTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
AutosyncTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
AutosyncTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JData in com.usatiuk.dhfs.invalidation

Classes in com.usatiuk.dhfs.invalidation with type parameters of type JData
Modifier and Type
Interface
Description
`interface`
`OpExtractor<T extends JData>`
Methods in com.usatiuk.dhfs.invalidation with parameters of type JData
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<List<Op>,Runnable>`
OpExtractorService.`extractOps(JData data, PeerId peerId)`

## Uses of JData in com.usatiuk.dhfs.jkleppmanntree.structs

Classes in com.usatiuk.dhfs.jkleppmanntree.structs that implement JData
Modifier and Type
Class
Description
`final record`
`JKleppmannTreeNodeHolder`
`final record`
`JKleppmannTreePersistentData`

## Uses of JData in com.usatiuk.dhfs.jmap

Subinterfaces of JData in com.usatiuk.dhfs.jmap
Modifier and Type
Interface
Description
`interface`
`JMapHolder<K extends JMapKey>`
Classes in com.usatiuk.dhfs.jmap that implement JData
Modifier and Type
Class
Description
`final record`
`JMapEntry<K extends JMapKey>`
Methods in com.usatiuk.dhfs.jmap with parameters of type JData
Modifier and Type
Method
Description
`void`
JMapRefcounterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
JMapRefcounterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
JMapHolderRefcounterTxHook.`onDelete(JObjectKey key, JData cur)`
`void`
JMapRefcounterTxHook.`onDelete(JObjectKey key, JData cur)`
Constructor parameters in com.usatiuk.dhfs.jmap with type arguments of type JData
Modifier
Constructor
Description
``
`JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)`

## Uses of JData in com.usatiuk.dhfs.peersync

Classes in com.usatiuk.dhfs.peersync with type parameters of type JData
Modifier and Type
Interface
Description
`interface`
`InitialSyncProcessor<T extends JData>`
Classes in com.usatiuk.dhfs.peersync that implement JData
Modifier and Type
Class
Description
`final record`
`PersistentRemoteHostsData`

## Uses of JData in com.usatiuk.dhfs.peertrust

Methods in com.usatiuk.dhfs.peertrust with parameters of type JData
Modifier and Type
Method
Description
`void`
PeerInfoCertUpdateTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
PeerInfoCertUpdateTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
PeerInfoCertUpdateTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JData in com.usatiuk.dhfs.refcount

Subinterfaces of JData in com.usatiuk.dhfs.refcount
Modifier and Type
Interface
Description
`interface`
`JDataRefcounted`
Methods in com.usatiuk.dhfs.refcount with parameters of type JData
Modifier and Type
Method
Description
`void`
DeleterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
RefcounterTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
DeleterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
RefcounterTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
DeleterTxHook.`onDelete(JObjectKey key, JData cur)`
`void`
RefcounterTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JData in com.usatiuk.dhfs.remoteobj

Classes in com.usatiuk.dhfs.remoteobj that implement JData
Modifier and Type
Class
Description
`final record`
`RemoteObjectDataWrapper<T extends JDataRemote>`
`final record`
`RemoteObjectMeta`
Methods in com.usatiuk.dhfs.remoteobj with parameters of type JData
Modifier and Type
Method
Description
`void`
RemoteObjPusherTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`void`
RemoteObjPusherTxHook.`onCreate(JObjectKey key, JData cur)`
`void`
RemoteObjPusherTxHook.`onDelete(JObjectKey key, JData cur)`

## Uses of JData in com.usatiuk.dhfsfs.objects

Classes in com.usatiuk.dhfsfs.objects that implement JData
Modifier and Type
Class
Description
`final record`
`File`
File is a data structure that represents a file in the file system

## Uses of JData in com.usatiuk.objects

Methods in com.usatiuk.objects that return JData
Modifier and Type
Method
Description
`JData`
JDataVersionedWrapper.`data()`
`JData`
JDataVersionedWrapperImpl.`data()`
Returns the value of the `data` record component.
`JData`
JDataVersionedWrapperLazy.`data()`
`JData`
JavaDataSerializer.`deserialize(ByteBuffer data)`
Methods in com.usatiuk.objects with parameters of type JData
Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
JavaDataSerializer.`serialize(JData obj)`
Constructors in com.usatiuk.objects with parameters of type JData
Modifier
Constructor
Description
``
`JDataVersionedWrapperImpl(JData data, long version)`
Creates an instance of a `JDataVersionedWrapperImpl` record class.
Constructor parameters in com.usatiuk.objects with type arguments of type JData
Modifier
Constructor
Description
``
`JDataVersionedWrapperLazy(long version, int estimatedSize, Supplier<JData> producer)`

## Uses of JData in com.usatiuk.objects.transaction

Classes in com.usatiuk.objects.transaction with type parameters of type JData
Modifier and Type
Class
Description
`static final record`
`TxRecord.TxObjectRecordWrite<T extends JData>`
Methods in com.usatiuk.objects.transaction with type parameters of type JData
Modifier and Type
Method
Description
`<T extends JData>
Optional<T>`
CurrentTransaction.`get(Class<T> type, JObjectKey key)`
`<T extends JData>
Optional<T>`
Transaction.`get(Class<T> type, JObjectKey key)`
`<T extends JData>
void`
CurrentTransaction.`put(JData obj)`
`<T extends JData>
void`
Transaction.`put(JData obj)`
`<T extends JData>
void`
CurrentTransaction.`putNew(JData obj)`
`<T extends JData>
void`
Transaction.`putNew(JData obj)`
Methods in com.usatiuk.objects.transaction that return JData
Modifier and Type
Method
Description
`JData`
TxRecord.TxObjectRecordWrite.`data()`
Returns the value of the `data` record component.
Methods in com.usatiuk.objects.transaction that return types with arguments of type JData
Modifier and Type
Method
Description
`CloseableKvIterator<JObjectKey,JData>`
CurrentTransaction.`getIterator(IteratorStart start, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(IteratorStart start, JObjectKey key)`
`default CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(JObjectKey key)`
Methods in com.usatiuk.objects.transaction with parameters of type JData
Modifier and Type
Method
Description
`default void`
PreCommitTxHook.`onChange(JObjectKey key, JData old, JData cur)`
`default void`
PreCommitTxHook.`onCreate(JObjectKey key, JData cur)`
`default void`
PreCommitTxHook.`onDelete(JObjectKey key, JData cur)`
`<T extends JData>
void`
CurrentTransaction.`put(JData obj)`
`<T extends JData>
void`
Transaction.`put(JData obj)`
`<T extends JData>
void`
CurrentTransaction.`putNew(JData obj)`
`<T extends JData>
void`
Transaction.`putNew(JData obj)`
Constructors in com.usatiuk.objects.transaction with parameters of type JData
Modifier
Constructor
Description
``
`TxObjectRecordWrite(JData data)`
Creates an instance of a `TxObjectRecordWrite` record class.